%define name    monitorix
%define version 1.2.0
%define rel     1
%define release %mkrel %{rel}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary: Monitorix is a free, open source, lightweight system monitoring tool
License: GPLv2
Group: Monitoring
URL: http://www.monitorix.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: http://www.monitorix.org/%{name}-%{version}.tar.gz
Source1: %{name}.initscript
Patch0: monitorix-1.2.0-add_mdv_support.patch
Patch1: monitorix-1.2.0-non_interactive_mode.patch
Patch2: monitorix-1.2.0-relocatable.patch
Patch3: monitorix-1.2.0-use_distro_name.patch
Requires: rrdtool, xinetd, apache, perl-CGI
Requires: iptables
BuildArch: noarch

%description
Monitorix is a free, open source, lightweight system monitoring tool
designed to monitorize as many services as it can. At this time it
monitors from the CPU load and temperatures to the users using the
system. Network devices activity, network services demand and even
the devices' interrupt activity are also monitored. The current
status of any corporate Linux server with Monitorix installed can be
accessed via a web browser.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%install
rm -rf ${RPM_BUILD_ROOT}

# Run the built-in install script, patched to support mdv
# It actually fails to install the initscript which is missing
# (mandriva is not supported upstream yet)
./install.sh mandriva ${RPM_BUILD_ROOT}

# install initscript provided with this package
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}/
install -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_initrddir}/%name

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name}/ "/var/www/%{name}/"
<Location /%{name}>
	Order allow,deny
	Allow from all
</Location>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}
%_post_webapp

%preun
%_preun_service %{name}

%postun
%_postun_webapp

%files
%defattr(-,root, root)
%{_initrddir}/%name
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_sbindir}/%{name}.pl
%defattr(-,root,root)
/var/www/%{name}/logo_top.jpg
/var/www/%{name}/logo_bot_black.png
/var/www/%{name}/logo_bot_white.png
/var/www/%{name}/envelope.png
/var/www/%{name}/monitorixico.png
/var/www/%{name}/%{name}.cgi
%config(noreplace) %{_webappconfdir}/%{name}.conf
/var/lib/%{name}/reports/ca/traffic_report.html
/var/lib/%{name}/reports/ca/traffic_report.sh
/var/lib/%{name}/reports/ca/imgs_email/blank.png
/var/lib/%{name}/reports/ca/imgs_email/logo.jpg
/var/lib/%{name}/reports/ca/imgs_email/signature.png
/var/lib/%{name}/reports/ca/imgs_email/title.jpg
/var/lib/%{name}/reports/en/traffic_report.html
/var/lib/%{name}/reports/en/traffic_report.sh
/var/lib/%{name}/reports/en/imgs_email/blank.png
/var/lib/%{name}/reports/en/imgs_email/logo.jpg
/var/lib/%{name}/reports/en/imgs_email/signature.png
/var/lib/%{name}/reports/en/imgs_email/title.jpg
/var/lib/%{name}/reports/de/imgs_email/blank.png
/var/lib/%{name}/reports/de/imgs_email/logo.jpg
/var/lib/%{name}/reports/de/imgs_email/signature.png
/var/lib/%{name}/reports/de/imgs_email/title.jpg
/var/lib/%{name}/reports/de/traffic_report.html
/var/lib/%{name}/reports/de/traffic_report.sh

%doc COPYING Changes Configuration.help README monitorix-apache.conf



%changelog
* Fri Jul 11 2008 Michael Scherer <misc@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 233677
- Fix bugs #41793, #31784, #41797 ( vincent panel )
- Cleanup spec file ( vincent panel )
- update to 1.2.0 ( vincent panel )
- requires on iptables, fix bug #41794

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - release 0.9.1
    - Import monitorix



* Fri Dec  9 2005  <aginies@mandriva.com> 0.7.12-1mdk
- first mandrake release based on Jordi Sanfeliu specfile

* Thu Sep 01 2005 Jordi Sanfeliu <admin@fibranet.com>
Release 0.7.8.
First public release.
All changes are described in the Changelog file.
